# Read about fixtures at https://api.rubyonrails.org/classes/ActiveRecord/FixtureSet.html

# This model initially had no columns defined. If you add columns to the
# model remove the "{}" from the fixture names and add the columns immediately
# below each fixture, per the syntax in the comments below
#
user_one:
  name: user_one
  username: user_one
  email: 'admin@xxxx.com'
  password_digest: <%= BCrypt::Password.create("12345678", cost: 5) %>
  confirmed_at: <%= Time.now %>
  level: admin
  time_zone: Beijing

# column: value
#
user_two:
  name: user_two
  username: user_two
  email: "user1@xxxxxc.com"
  password_digest: <%= BCrypt::Password.create("12345678aa", cost: 5) %>
  confirmed_at: <%= Time.now %>
  level: user
  time_zone: Beijing

<% 3.upto(120) do |i| %>
user_<%= i %>:
  name: user_<%= i %>
  username: user_<%= i %>
  email: "user_<%= i %>@example.com"
  password_digest: <%= BCrypt::Password.create("12345678aa", cost: 5) %>
  confirmed_at: <%= Time.now %>
  level: member0
  time_zone: Beijing
<% end %>


